#include <pic.h>
#include "delay.c"

#define BUTTON1	RA0
#define BUTTON2	RA1

void main(void) {
	ADCON1 = 0x06;
	TRISA = 0b00011111;
	TRISD = 0b00000000;
	PORTD = 0b00000001;
	
	for(;;) {
		if(!BUTTON1) {
			#asm
			rlf _PORTD,F;
			#endasm
		}
		if(!BUTTON2) {
			#asm
			rrf _PORTD,F;
			#endasm
		}
		DelayMs(100);
	}
}
